package cn.reghao.bnt.web.util.text;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import cn.reghao.jutil.jdk.io.TextFile;

/**
 * 将 Windows 中的 \ 字符替换为 Linux 中的 / 字符
 *
 * @author reghao
 * @date 2019-09-06 17:16:23
 */
public class ReplaceCharacter implements FileProcessor {
    @Override
    public void process(File file) {
        String absolutePath = file.getPath();
        if (!absolutePath.endsWith("csproj")) {
            return;
        }

        TextFile textFile = new TextFile();
        List<String> content = textFile.read(absolutePath);
        List<String> tmp = new ArrayList<>();
        content.forEach(line -> {
            if (line.contains("\\")) {
                tmp.add(line.replace("\\", "/"));
            } else {
                tmp.add(line);
            }
        });

        textFile.write(absolutePath, tmp);
    }
}
